# Package org.apache.sysds.api

Interface Summary
ConfigurableAPI: This interface defines the programmatic access to dml configuration properties (as defined in SystemDS-config.xml) to ensure API consistency across all APIs.

Class Summary
DMLOptions: Set of DMLOptions that can be set through the command line and `MLContext` The values have been initialized with the default values Despite there being a DML and PyDML, this class is named DMLOptions to keep it consistent with `DMLOptions` and `DMLOptions`
DMLScript
PythonDMLScript
ScriptExecutorUtils

Exception Summary
DMLException: Exception occurring in the DML framework.